using MWS.Library.Common.Module;
using MWS.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Data.InterFace
{
    public interface IUserLog : IDapperHelper
    {
        PageData<UserLog> GetAll(string kewWord, DateTime? beginTime, DateTime? endTime, int pageIndex, int pageSize);
        int GetAllRecordsCount(string kewWord, DateTime? beginTime, DateTime? endTime);
        int GetId();
        int UpdateOutTime(int id);
    }
}
